package com.lediglesesalplass;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class InformationAdapter extends ArrayAdapter<DeviceTimestamp> {

	private Context context;
	private static ArrayList<DeviceTimestamp> statistics;


	public InformationAdapter(Context context, int resource, ArrayList<DeviceTimestamp> stats){
		super(context, resource, stats);

		this.context = context;			
		statistics = stats;

	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent){


		LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View rowView = inflater.inflate(R.layout.information_item, parent, false);

		TextView devices = (TextView) rowView.findViewById(R.id.infoDevices);

		TextView timestamp = (TextView) rowView.findViewById(R.id.infoTimestamp);

		timestamp.setText(statistics.get(position).getTimestamp());
		devices.setText(""+statistics.get(position).getDevices());
		return rowView;
	}


	// Gjr lista unclickable
	@Override
	public boolean isEnabled(int position){
		return false;
	}

}
