package com.lediglesesalplass;

import java.util.ArrayList;

import android.os.Bundle;
import android.app.Activity;
import android.content.Context;
import android.graphics.Typeface;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

public class TitleAdapter extends ArrayAdapter<String> {

	private Context context;
	static ArrayList<String> oneRow;

	public TitleAdapter(Context context, int resource, ArrayList<String> oneRow){
		super(context, resource, oneRow);

		this.context = context;
		this.oneRow = oneRow;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent){

		LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View rowView = inflater.inflate(R.layout.title_adapter, parent, false);
		TextView titleDevices = (TextView) rowView.findViewById(R.id.infoDevicesTitle);
		TextView titleTimestamp = (TextView) rowView.findViewById(R.id.infoTimestampTitle);
		titleTimestamp.setTypeface(null, Typeface.BOLD);
		titleTimestamp.setText("Time");
		titleDevices.setText("Number of people");
		titleDevices.setTypeface(null, Typeface.BOLD);
		return rowView;
	}


	@Override
	public boolean isEnabled(int position){
		return false;
	}
}


